summaryrefslogtreecommitdiffstats
path: root/network/connman/connman.SlackBuild
diff options
context:
space:
mode:
author Ryan P.C. McQuen2014-10-22 18:38:15 +0200
committer Willy Sudiarto Raharjo2014-10-22 18:38:15 +0200
commitf92495856d317b27b79e6bd8dd5c60ff1574706e (patch)
tree154ac254a4ca3b5e0d7e793b7a8410fd2ae601be /network/connman/connman.SlackBuild
parent4c4b371001ab3fecd78688069b983137d17190a4 (diff)
downloadslackbuilds-f92495856d317b27b79e6bd8dd5c60ff1574706e.tar.gz
network/connman: Added (open source connection manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/connman/connman.SlackBuild')
-rw-r--r--network/connman/connman.SlackBuild104
1 files changed, 104 insertions, 0 deletions
diff --git a/network/connman/connman.SlackBuild b/network/connman/connman.SlackBuild
new file mode 100644
index 0000000000..c2f51e4ead
--- /dev/null
+++ b/network/connman/connman.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+#
+# Slackware build script for connman
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+
+PRGNAM=connman
+VERSION=1.26
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+
+# use correct group for Slackware
+patch -p1 -i ${CWD}/netdev.patch
+
+# Configure
+CFLAGS=${SCFLAGS} CXXFLAGS=${SCXXFLAGS} LIBS=-lncurses \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-nmcompat \
+ --enable-polkit \
+ --enable-openvpn \
+ --build=${ARCH}-slackware-linux
+
+make OPTS="$SLKCFLAGS"
+make DESTDIR=${PKG} install
+
+mkdir -p ${PKG}/etc/rc.d
+install -m 644 ${CWD}/rc.connmand ${PKG}/etc/rc.d/
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p ${PKG}/usr/doc/${NAME}-${VERSION}
+install -m644 AUTHORS COPYING ChangeLog INSTALL README TODO doc/*.txt \
+ ${PKG}/usr/doc/${NAME}-${VERSION}/
+mkdir -p ${PKG}/usr/doc/${NAME}-${VERSION}/api
+mv ${PKG}/usr/doc/${NAME}-${VERSION}/{*-api.txt,api/}
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+cd ${PKG}
+mkdir install
+install -m644 ${CWD}/slack-desc install/
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}